Package org.spongepowered.asm.mixin.extensibility

## Interface IRemapper

All Known Implementing Classes:
  `RemapperChain`

    public interface IRemapper

Interface for remap chain participants

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `map​(java.lang.String typeName)` Map type name to the new name.
`java.lang.String` `mapDesc​(java.lang.String desc)` Convert a descriptor to remapped form
`java.lang.String` `mapFieldName​(java.lang.String owner, java.lang.String name, java.lang.String desc)` Map field name to the new name.
`java.lang.String` `mapMethodName​(java.lang.String owner, java.lang.String name, java.lang.String desc)` Map method name to the new name.
`java.lang.String` `unmap​(java.lang.String typeName)` Convert a mapped type name back to the original obfuscated name
`java.lang.String` `unmapDesc​(java.lang.String desc)` Convert a descriptor back to the original obfuscated form

### Method Detail

#### mapMethodName

    java.lang.String mapMethodName​(java.lang.String owner,
                                   java.lang.String name,
                                   java.lang.String desc)

Map method name to the new name. Subclasses can override.

Parameters:
  `owner` - owner of the method.
  `name` - name of the method.
  `desc` - descriptor of the method.
Returns:
  new name of the method

#### mapFieldName

    java.lang.String mapFieldName​(java.lang.String owner,
                                  java.lang.String name,
                                  java.lang.String desc)

Map field name to the new name. Subclasses can override.

Parameters:
  `owner` - owner of the field.
  `name` - name of the field
  `desc` - descriptor of the field
Returns:
  new name of the field.

#### map

    java.lang.String map​(java.lang.String typeName)

Map type name to the new name. Subclasses can override.

Parameters:
  `typeName` - Class name to convert
Returns:
  new name for the class

#### unmap

    java.lang.String unmap​(java.lang.String typeName)

Convert a mapped type name back to the original obfuscated name

Parameters:
  `typeName` - Class name to convert
Returns:
  old name for the class

#### mapDesc

    java.lang.String mapDesc​(java.lang.String desc)

Convert a descriptor to remapped form

Parameters:
  `desc` - descriptor to convert
Returns:
  new descriptor

#### unmapDesc

    java.lang.String unmapDesc​(java.lang.String desc)

Convert a descriptor back to the original obfuscated form

Parameters:
  `desc` - descriptor to convert
Returns:
  old descriptor